ObjectARX

ObjectARX

Reply
Mentor
166 Posts
0 Kudos
Registered: ‎10-21-2010
Post 1 of 3
Accepted Solution

any method provided to change the drawing order like the Hatch Dialog

148 Views, 2 Replies
09-04-2012 01:02 AM

hatch_dialog.jpg

Technology change world! Coding change technology! We coders are coding!

Look at the AcDbSortentsTable class in the documentation.

Distinguished Mentor
738 Posts
100 Kudos
Registered: ‎08-06-2002
Post 2 of 3

Re: any method provided to change the drawing order like the Hatch Dialog

09-04-2012 05:24 AM in reply to: 421232206

Look at the AcDbSortentsTable class in the documentation.

--
Owen Wengerd
ManuSoft
Mentor
166 Posts
0 Kudos
Registered: ‎10-21-2010
Post 3 of 3

Re: any method provided to change the drawing order like the Hatch Dialog

09-04-2012 07:10 PM in reply to: owenwengerd

thanks a lot, and the code below works well.

 

        AcDbObjectIdArray idArr;
        if (!CSelectionGet::smileyfrustrated:SGetFromDWG(idArr,_T(""),NULL,true))
        {
            return;
        }
        AcDbBlockTableRecord *pBtr = NULL;
        if (Acad::eOk != acdbOpenObject(pBtr, Acad_System::GetBlockId(ACDB_MODEL_SPACE), AcDb::kForRead))
        {
            return;
        }
        AcDbSortentsTable *drawOrder = NULL;
        pBtr->getSortentsTable(drawOrder, AcDb::kForWrite, Adesk::kTrue);    
        pBtr->close();
        if (drawOrder)
        {
            drawOrder->moveToTop(idArr);
            drawOrder->close();
        }

Technology change world! Coding change technology! We coders are coding!
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post